Package org.eclipse.swt.browser

## Class StatusTextEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.browser.StatusTextEvent

    public class StatusTextEvent
    extends TypedEvent

A `StatusTextEvent` is sent by a `Browser` to `StatusTextListener`'s when the status text is changed. The status text is typically displayed in the status bar of a browser application.

Since:
  1.4

### Field Summary

Fields
`java.lang.String` `text` status text

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
`StatusTextEvent​(Widget widget)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### text

    public java.lang.String text

status text

### Constructor Detail

#### StatusTextEvent

    public StatusTextEvent​(Widget widget)

Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event